org.eclnt.jsfserver.defaultscreens

## Class IdTextSelection

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.IdTextSelection

- All Implemented Interfaces:
    java.io.Serializable, BasePopup.IPopupListener, ModalPopup.IModalPopupListener

      public class IdTextSelection
      extends java.lang.Object
      implements java.io.Serializable, ModalPopup.IModalPopupListener

  Class for server side implementation of COMBOFIELD component. Opens a pop up window with a list of valid values and calls back the logic when the user selects a value. Use @link `createInstance()` or @line `createInstanceWithExplanation(String)` in order to get an instance, then fill values via @link `addLine(String, String)` and specify the call back. You can select two call back options: either just the selected id via @link #setCallBack(ISetId) or the selected id and its text via @link #setCallBack(ISetIdText).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IdTextSelection.IdTextLine` Representation of one selectable value line.
    `class` | `IdTextSelection.IdTextLineGrid`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `m_explanation`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdTextSelection.IdTextLine` | `addLine(java.lang.String id, java.lang.String name)` Adds a line to the list of valid values.
    `IdTextSelection.IdTextLine` | `addLine(java.lang.String id, java.lang.String name, java.lang.String image)` Adds a line to the list of valid values.
    `protected boolean` | `checkIfTextFitsToFilter(java.lang.String text, java.lang.String filter)`
    `void` | `clear()` Clears all items.
    `static IdTextSelection` | `createInstance()` Creates a normal instance that is presented to the user as straight list.
    `protected static IdTextSelection` | `createInstanceHt()`
    `static IdTextSelection` | `createInstanceWithExplanation(java.lang.String explanation)` Creates an instance in which the list of valid values is shown together with an explanation string.
    `static IdTextSelection` | `createInstanceWithImageLine()` Creates instance in which each line is rendered with image, text and id, as two lines.
    `static IdTextSelection` | `createListInstance()`
    `void` | `filterByInputId(java.lang.String inputId)` Filters all passed values in order to show these ones fitting to the current input.
    `void` | `filterByInputText(java.lang.String inputText)` Filters all passed values in order to show these ones fitting to the current input.
    `protected void` | `filterItems()`
    `java.lang.String` | `getExplanation()`
    `java.lang.String` | `getFilterResultText()`
    `java.lang.String` | `getFilterText()`
    `ROWDYNAMICCONTENTBinding` | `getHtContent()`
    `FIXGRIDListBinding<IdTextSelection.IdTextLine>` | `getLines()`
    `java.lang.String` | `getListSelection()`
    `java.lang.String` | `getListValues()`
    `ModelessPopup` | `getPopup()` Popup instance that is opened by the value help.
    `boolean` | `getRenderFilterText()`
    `boolean` | `getRenderIdColumn()`
    `boolean` | `getRenderTextColumn()`
    `java.lang.String` | `getRequestFocus()`
    `boolean` | `getSuppressHeadline()`
    `java.lang.String` | `getTitleId()`
    `java.lang.String` | `getTitleText()`
    `boolean` | `getWithHeader()`
    `void` | `onCancel(ActionEvent event)` Internally used - reactor on "cancel" in popup.
    `void` | `onFilterTextAction()`
    `void` | `onHtButtonAction(ActionEvent event)`
    `void` | `onListAction(ActionEvent ae)` Internal usage.
    `void` | `onOK(ActionEvent event)` Internally used - reactor on "OK" in popup.
    `void` | `onPopupClosedByUser(ActionEvent ae)` Internal usage.
    `void` | `onRenderBeginAction(ActionEvent event)`
    `void` | `preselect(java.lang.String id)` Preselects the corresponding item: the item is selected and the list is scrolled so that the item is visible.
    `protected void` | `processKeySequence(java.lang.String ks)`
    `void` | `processSelectLine(IdTextSelection.IdTextLine line)` Internal usage.
    `void` | `reactOnPopupClosedByUser()` Internal usage.
    `void` | `setCallBack(ISetId callBack)` Specifies a call back.
    `void` | `setCallBack(ISetIdText callBack)` Specifies a call back.
    `void` | `setFilterText(java.lang.String filterText)` Sets the filter text.
    `void` | `setListSelection(java.lang.String listSelection)`
    `void` | `setPopupHeight(int height)` Set the width of the popup that is opened.
    `void` | `setPopupWidth(int width)` Set the height of the popup that is opened.
    `void` | `setRenderFilterText(boolean renderFilterText)` On top of the value list a text field may be shown for filtering the items.
    `void` | `setRenderIdColumn(boolean renderIdColumn)` Set if id column is to be rendered (true/default) or not (false).
    `void` | `setRenderTextColumn(boolean renderTextColumn)` Set if text column is to be rendered (true/default) or not (false).
    `void` | `setSuppressHeadline(boolean value)` If set to "true" then the grid head line is not shown but only the grid content is shown.
    `void` | `setTitleId(java.lang.String titleId)` Set the title of the id column.
    `void` | `setTitleText(java.lang.String titleText)` Set the title of the text column.
    `void` | `setWithHeader(boolean value)` The header is the area in which the OK and cancel button is rendered (once upon a time this area way the header of the popup, now it has moved to the bottom...).
    `void` | `sortItemsById()`
    `void` | `sortItemsByText()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_explanation

          public java.lang.String m_explanation

  - ### Method Detail

    - #### getPopup

          public ModelessPopup getPopup()

      Popup instance that is opened by the value help.

    - #### getRequestFocus

          public java.lang.String getRequestFocus()

    - #### setTitleId

          public void setTitleId(java.lang.String titleId)

      Set the title of the id column.

    - #### getTitleId

          public java.lang.String getTitleId()

    - #### setTitleText

          public void setTitleText(java.lang.String titleText)

      Set the title of the text column.

    - #### getTitleText

          public java.lang.String getTitleText()

    - #### createInstance

          public static IdTextSelection createInstance()

      Creates a normal instance that is presented to the user as straight list. User `addLine(String, String)` in order to add items.

    - #### createInstanceHt

          protected static IdTextSelection createInstanceHt()

    - #### createInstanceWithExplanation

          public static IdTextSelection createInstanceWithExplanation(java.lang.String explanation)

      Creates an instance in which the list of valid values is shown together with an explanation string. Use `addLine(String, String)` in order to add items.

    - #### createInstanceWithImageLine

          public static IdTextSelection createInstanceWithImageLine()

      Creates instance in which each line is rendered with image, text and id, as two lines. Use `addLine(String, String, String)` in order to add items.

    - #### createListInstance

          public static IdTextSelection createListInstance()

    - #### clear

          public void clear()

      Clears all items.

    - #### addLine

          public IdTextSelection.IdTextLine addLine(java.lang.String id,
                                                    java.lang.String name)

      Adds a line to the list of valid values.

    - #### addLine

          public IdTextSelection.IdTextLine addLine(java.lang.String id,
                                                    java.lang.String name,
                                                    java.lang.String image)

      Adds a line to the list of valid values. The image is only visible if having created this intance via `#createInstanceWIthImageLine()`, otherwise only id and name will be shown.

    - #### setCallBack

          public void setCallBack(ISetId callBack)

      Specifies a call back. The call back passes the selected id.

    - #### setCallBack

          public void setCallBack(ISetIdText callBack)

      Specifies a call back. The call back passes the selected id and the selected text.

    - #### onPopupClosedByUser

          public void onPopupClosedByUser(ActionEvent ae)

      Internal usage.

    - #### getLines

          public FIXGRIDListBinding<IdTextSelection.IdTextLine> getLines()

    - #### getExplanation

          public java.lang.String getExplanation()

    - #### processSelectLine

          public void processSelectLine(IdTextSelection.IdTextLine line)

      Internal usage.

    - #### reactOnPopupClosedByUser

          public void reactOnPopupClosedByUser()

      Internal usage.
      Specified by:
        `reactOnPopupClosedByUser` in interface `BasePopup.IPopupListener`

    - #### getWithHeader

          public boolean getWithHeader()

    - #### setWithHeader

          public void setWithHeader(boolean value)

      The header is the area in which the OK and cancel button is rendered (once upon a time this area way the header of the popup, now it has moved to the bottom...). By default it is shown but you can explicitly switch it off passing "false" as value.

    - #### getSuppressHeadline

          public boolean getSuppressHeadline()

    - #### setSuppressHeadline

          public void setSuppressHeadline(boolean value)

      If set to "true" then the grid head line is not shown but only the grid content is shown.

    - #### getRenderIdColumn

          public boolean getRenderIdColumn()

    - #### setRenderIdColumn

          public void setRenderIdColumn(boolean renderIdColumn)

      Set if id column is to be rendered (true/default) or not (false).

    - #### getRenderTextColumn

          public boolean getRenderTextColumn()

    - #### setRenderTextColumn

          public void setRenderTextColumn(boolean renderTextColumn)

      Set if text column is to be rendered (true/default) or not (false).

    - #### setFilterText

          public void setFilterText(java.lang.String filterText)

      Sets the filter text. Only applicable if `setRenderFilterText(boolean)` is activated.

    - #### getFilterText

          public java.lang.String getFilterText()

    - #### onRenderBeginAction

          public void onRenderBeginAction(ActionEvent event)

    - #### onFilterTextAction

          public void onFilterTextAction()

    - #### getFilterResultText

          public java.lang.String getFilterResultText()

    - #### filterItems

          protected void filterItems()

    - #### checkIfTextFitsToFilter

          protected boolean checkIfTextFitsToFilter(java.lang.String text,
                                                    java.lang.String filter)

    - #### setRenderFilterText

          public void setRenderFilterText(boolean renderFilterText)

      On top of the value list a text field may be shown for filtering the items. By default this field is not shown. By passing "true" the filter text field is shown.

    - #### getRenderFilterText

          public boolean getRenderFilterText()

    - #### onOK

          public void onOK(ActionEvent event)

      Internally used - reactor on "OK" in popup.

    - #### onCancel

          public void onCancel(ActionEvent event)

      Internally used - reactor on "cancel" in popup.

    - #### filterByInputId

          public void filterByInputId(java.lang.String inputId)

      Filters all passed values in order to show these ones fitting to the current input.

    - #### filterByInputText

          public void filterByInputText(java.lang.String inputText)

      Filters all passed values in order to show these ones fitting to the current input.

    - #### setPopupWidth

          public void setPopupWidth(int width)

      Set the height of the popup that is opened.

    - #### setPopupHeight

          public void setPopupHeight(int height)

      Set the width of the popup that is opened.

    - #### preselect

          public void preselect(java.lang.String id)

      Preselects the corresponding item: the item is selected and the list is scrolled so that the item is visible.

    - #### getListValues

          public java.lang.String getListValues()

    - #### getListSelection

          public java.lang.String getListSelection()

    - #### setListSelection

          public void setListSelection(java.lang.String listSelection)

    - #### onListAction

          public void onListAction(ActionEvent ae)

      Internal usage.

    - #### sortItemsById

          public void sortItemsById()

    - #### sortItemsByText

          public void sortItemsByText()

    - #### getHtContent

          public ROWDYNAMICCONTENTBinding getHtContent()

    - #### onHtButtonAction

          public void onHtButtonAction(ActionEvent event)

    - #### processKeySequence

          protected void processKeySequence(java.lang.String ks)

Copyright © CaptainCasa Gmbh. All Rights Reserved.